cache:
  paths:
    - node_modules/

stages:
  - deploy-production

deploy-production:
  stage: deploy-production
  only:
    - main
  script:
    - apt-get update
    - apt-get install curl -y
    - curl -sL https://deb.nodesource.com/setup_18.x | bash - 
    - apt-get --yes install nodejs
    - npm i
    - npm install -g serverless@3.0.0
    - serverless config credentials --provider aws --key $AWS_ACCESS_KEY_ID_PRODUCTION --secret $AWS_SECRET_ACCESS_KEY_PRODUCTION -o
    - serverless deploy

